import java.util.ArrayList;
import java.util.HashMap;

class Woerterbuch {

	protected HashMap<String, ArrayList<String>> eintraege;

	// Schlssel = String, Value = ArrayList von String

	public Woerterbuch() {
		this.eintraege = new HashMap<String, ArrayList<String>>();
	}

	public void einfuegen(String begriff, String uebersetzung) {
		ArrayList<String> uebersetzungen = this.eintraege.get(begriff);
		if (uebersetzungen == null) { // noch nicht vorhanden
			uebersetzungen = new ArrayList<String>();
			this.eintraege.put(begriff, uebersetzungen);
		}
		if (!uebersetzungen.contains(uebersetzung)) {
			uebersetzungen.add(uebersetzung);
		}
	}

	public String[] getUebersetzungen(String begriff) {
		ArrayList<String> uebersetzungen = this.eintraege.get(begriff);
		if (uebersetzungen == null) { // noch nicht vorhanden
			return null;
		}
		return uebersetzungen.toArray(new String[0]);
	}
}

public class UE23Aufgabe6 {

	// Testprogramm
	public static void main(String[] args) {
		Woerterbuch buch = new Woerterbuch();
		char antwort = IO.readChar("Weitere Eintragung (j/n)?");
		while (antwort == 'j') {
			String begriff = IO.readString("Begriff: ");
			String uebersetzung = IO.readString("Uebersetzung: ");
			buch.einfuegen(begriff, uebersetzung);
			antwort = IO.readChar("Weitere Eintragung (j/n)?");
		}

		antwort = IO.readChar("Weitere Abfrage (j/n)?");
		while (antwort == 'j') {
			String begriff = "";
			begriff = IO.readString("Begriff: ");
			String[] uebersetzungen = buch.getUebersetzungen(begriff);
			if (uebersetzungen != null) {
				for (String str : uebersetzungen) {
					System.out.println(begriff + " = " + str);
				}
			} else {
				System.out.println("Begriff " + begriff
						+ " ist nicht im Woerterbuch vorhanden");
			}
			antwort = IO.readChar("Weitere Abfrage (j/n)?");
		}

	}
}
